'use strict';
var util = require('util');
var yeoman = require('yeoman-generator');

var MusicGenerator = module.exports = function MusicGenerator(args, options, config) {
  // By calling `NamedBase` here, we get the argument to the subgenerator call
  // as `this.name`.
  yeoman.generators.NamedBase.apply(this, arguments);

  console.log('You called the music subgenerator with the argument ' + this.name + '.');
};

util.inherits(MusicGenerator, yeoman.generators.NamedBase);

MusicGenerator.prototype.files = function files() {
  var today = new Date();
  var prefix = today.getUTCMonth() + 1;
  prefix += '-' + today.getDate();
  prefix += '-' + today.getFullYear();

  var filename = prefix + '-music.txt';
  this.write('app/' + filename, 'Music type: '+ this.name);
};
